=== modified file 'required-packages/base'
--- required-packages/base	2014-09-23 19:09:47 +0000
+++ required-packages/base	2014-09-24 13:05:22 +0000
@@ -52,7 +52,6 @@
 python-tz
 python-yaml
 python-zope.interface
-rabbitmq-server
 syslinux-common
 tgt
 ubuntu-cloudimage-keyring

=== modified file 'required-packages/forbidden'
--- required-packages/forbidden	2014-03-21 10:24:52 +0000
+++ required-packages/forbidden	2014-09-24 13:05:22 +0000
@@ -1,1 +0,0 @@
-python-librabbitmq

=== modified file 'src/maas/demo.py'
--- src/maas/demo.py	2014-09-23 18:58:36 +0000
+++ src/maas/demo.py	2014-09-24 13:05:22 +0000
@@ -42,8 +42,6 @@
 
 MAAS_CLI = abspath("bin/maas-region-admin")
 
-RABBITMQ_PUBLISH = True
-
 LOGGING = {
     'version': 1,
     'disable_existing_loggers': False,

=== modified file 'src/maas/development.py'
--- src/maas/development.py	2014-09-06 11:22:41 +0000
+++ src/maas/development.py	2014-09-24 13:05:22 +0000
@@ -58,8 +58,6 @@
 YUI_DEBUG = DEBUG
 STATIC_LOCAL_SERVE = True
 
-RABBITMQ_PUBLISH = False
-
 # Silent South during tests.
 logging.getLogger('south').setLevel(logging.WARNING)
 

=== modified file 'src/maas/settings.py'
--- src/maas/settings.py	2014-09-24 12:56:19 +0000
+++ src/maas/settings.py	2014-09-24 13:05:22 +0000
@@ -116,15 +116,6 @@
     'maasserver.models.MAASAuthorizationBackend',
     )
 
-# Rabbit MQ Configuration.
-RABBITMQ_HOST = 'localhost'
-RABBITMQ_USERID = 'guest'
-RABBITMQ_PASSWORD = 'guest'
-RABBITMQ_VIRTUAL_HOST = '/'
-
-RABBITMQ_PUBLISH = True
-
-
 DATABASES = {
     'default': {
         # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' etc.

=== modified file 'src/maasserver/exceptions.py'
--- src/maasserver/exceptions.py	2014-09-22 03:20:50 +0000
+++ src/maasserver/exceptions.py	2014-09-24 13:05:22 +0000
@@ -45,10 +45,6 @@
     """User can't be deleted."""
 
 
-class NoRabbit(MAASException):
-    """Could not reach RabbitMQ."""
-
-
 class MAASAPIException(Exception):
     """Base class for MAAS' API exceptions.
 

=== removed file 'src/maasserver/messages.py'
--- src/maasserver/messages.py	2013-12-18 07:09:33 +0000
+++ src/maasserver/messages.py	1970-01-01 00:00:00 +0000
@@ -1,187 +0,0 @@
-# Copyright 2012 Canonical Ltd.  This software is licensed under the
-# GNU Affero General Public License version 3 (see the file LICENSE).
-
-"""Messages."""
-
-from __future__ import (
-    absolute_import,
-    print_function,
-    unicode_literals,
-    )
-
-str = None
-
-__metaclass__ = type
-__all__ = [
-    "MAASMessenger",
-    "MESSAGING",
-    "MessengerBase",
-    ]
-
-
-from abc import (
-    ABCMeta,
-    abstractmethod,
-    )
-
-from django.conf import settings
-from django.db.models.signals import (
-    post_delete,
-    post_save,
-    )
-from maasserver import logger
-from maasserver.exceptions import NoRabbit
-from maasserver.json import MAASJSONEncoder
-from maasserver.rabbit import RabbitMessaging
-
-# This is the name of the exchange where changes to MAAS's model objects will
-# be published.
-MODEL_EXCHANGE_NAME = "MAAS Model Exchange"
-
-
-class MESSENGER_EVENT:
-    CREATED = 'created'
-    UPDATED = 'updated'
-    DELETED = 'deleted'
-
-
-class MessengerBase:
-    """Generic class that will publish events to a producer when a model
-    object is changed.
-    """
-
-    __metaclass__ = ABCMeta
-
-    def __init__(self, model_class, producer):
-        """
-        :param model_class: The model class to track.
-        :type model_class: django.db.models.Model
-        :param producer: The producer used to publish events.
-        :type producer: maasserer.rabbit.db.models.RabbitExchange
-        """
-        self.model_class = model_class
-        self.producer = producer
-
-    @abstractmethod
-    def create_msg(self, event_name, instance):
-        """Format a message from the given event_name and instance."""
-
-    def publish_message(self, message):
-        """Attempt to publish `message` on the producer.
-
-        If RabbitMQ is not available, log an error message but return
-        normally.
-        """
-        try:
-            self.producer.publish(message)
-        except NoRabbit as e:
-            logger.warn("Could not reach RabbitMQ: %s", e)
-
-    def update_obj(self, sender, instance, created, **kwargs):
-        event_name = (
-            MESSENGER_EVENT.CREATED if created
-            else MESSENGER_EVENT.UPDATED)
-        self.publish_message(self.create_msg(event_name, instance))
-
-    def delete_obj(self, sender, instance, **kwargs):
-        message = self.create_msg(MESSENGER_EVENT.DELETED, instance)
-        self.publish_message(message)
-
-    def register(self):
-        post_save.connect(
-            receiver=self.update_obj, weak=False, sender=self.model_class)
-        post_delete.connect(
-            receiver=self.delete_obj, weak=False, sender=self.model_class)
-
-
-class MAASMessenger(MessengerBase):
-    """A messenger tailored to suit MAAS' UI (JavaScript) requirements.
-
-    The format of the event's payload will be::
-
-        {
-            "event_key": "$ModelClass.$MESSENGER_EVENT",
-            "instance": jsonified instance
-        }
-
-    For instance, when a Node is created, the event's payload will look like
-    this::
-
-        {
-            "event_key": "Node.created",
-            "instance": {
-                "hostname": "sun",
-                "system_id": "node-17ca41c2-6c39-11e1-a961-00219bd0a2de",
-                "architecture": "i386/generic",
-                [...]
-            }
-        }
-    """
-
-    def create_msg(self, event_name, instance):
-        event_key = self.event_key(event_name, instance)
-        message = MAASJSONEncoder().encode({
-            'instance': {
-                k: v for k, v in instance.__dict__.items()
-                if not k.startswith('_')
-            },
-            'event_key': event_key,
-
-        })
-        return message
-
-    def event_key(self, event_name, instance):
-        return "%s.%s" % (
-            instance.__class__.__name__, event_name)
-
-
-class Messaging:
-    """Lazy-initialising wrapper for `RabbitMessaging`.
-
-    To access the real `RabbitMessaging` object, call `get`.  On its first
-    call it will create the object, and subsequent calls will return the same
-    object again.
-
-    :param exchange: Name of the RabbitMQ exchange to which you wish to
-        connect.  Defaults to `MODEL_EXCHANGE_NAME`.
-    """
-
-    # Sentinel: "cached RabbitMessaging has not been initialised yet."
-    UNINITIALISED = object()
-
-    def __init__(self, exchange=MODEL_EXCHANGE_NAME):
-        """Create the wrapper, but not the `RabbitMessaging` itself yet."""
-        self.exchange = exchange
-        self.reset()
-
-    def get(self):
-        """Return the actual `RabbitMessaging`, creating it if necessary."""
-        if self._cached_messaging is self.UNINITIALISED:
-            self._cached_messaging = self._create()
-        return self._cached_messaging
-
-    def reset(self):
-        """Reset the wrapper to its original, uninitialised state.
-
-        The next call to `get` will initialise a fresh `RabbitMessaging`
-        object.
-        """
-        self._cached_messaging = self.UNINITIALISED
-
-    @staticmethod
-    def _create():
-        """Create the `RabbitMessaging` object."""
-        # Importing this from the top of the module causes AlreadyRegistered
-        # errors in tests.
-        from maasserver.models import Node
-
-        if settings.RABBITMQ_PUBLISH:
-            messaging = RabbitMessaging(MODEL_EXCHANGE_NAME)
-            MAASMessenger(Node, messaging.getExchange()).register()
-            return messaging
-        else:
-            return None
-
-
-# Wrapper for global `RabbitMessaging` object.
-MESSAGING = Messaging()

=== modified file 'src/maasserver/models/__init__.py'
--- src/maasserver/models/__init__.py	2014-09-23 18:17:18 +0000
+++ src/maasserver/models/__init__.py	2014-09-24 13:05:22 +0000
@@ -179,9 +179,6 @@
                 perm)
 
 
-from maasserver import messages
-ignore_unused(messages)
-
 from maasserver.dns import connect as dns_connect
 ignore_unused(dns_connect)
 

=== removed file 'src/maasserver/rabbit.py'
--- src/maasserver/rabbit.py	2013-10-07 09:12:40 +0000
+++ src/maasserver/rabbit.py	1970-01-01 00:00:00 +0000
@@ -1,117 +0,0 @@
-# Copyright 2012 Canonical Ltd.  This software is licensed under the
-# GNU Affero General Public License version 3 (see the file LICENSE).
-
-"""Rabbit messaging."""
-
-from __future__ import (
-    absolute_import,
-    print_function,
-    unicode_literals,
-    )
-
-str = None
-
-__metaclass__ = type
-__all__ = [
-    "RabbitExchange",
-    "RabbitQueue",
-    "RabbitMessaging",
-    "RabbitSession",
-    ]
-
-
-from errno import ECONNREFUSED
-import socket
-import threading
-
-from amqplib import client_0_8 as amqp
-from django.conf import settings
-from maasserver.exceptions import NoRabbit
-
-
-def connect():
-    """Connect to AMQP."""
-    try:
-        return amqp.Connection(
-            host=settings.RABBITMQ_HOST,
-            userid=settings.RABBITMQ_USERID,
-            password=settings.RABBITMQ_PASSWORD,
-            virtual_host=settings.RABBITMQ_VIRTUAL_HOST,
-            insist=False)
-    except socket.error as e:
-        if e.errno == ECONNREFUSED:
-            raise NoRabbit(e.message)
-        else:
-            raise
-
-
-class RabbitSession(threading.local):
-
-    def __init__(self):
-        self._connection = None
-
-    @property
-    def connection(self):
-        if self._connection is None or self._connection.transport is None:
-            self._connection = connect()
-        return self._connection
-
-    def disconnect(self):
-        if self._connection is not None:
-            try:
-                self._connection.close()
-            finally:
-                self._connection = None
-
-
-class RabbitMessaging:
-
-    def __init__(self, exchange_name):
-        self.exchange_name = exchange_name
-        self._session = RabbitSession()
-
-    def getExchange(self):
-        return RabbitExchange(self._session, self.exchange_name)
-
-    def getQueue(self):
-        return RabbitQueue(self._session, self.exchange_name)
-
-
-class RabbitBase(threading.local):
-
-    def __init__(self, session, exchange_name):
-        self.exchange_name = exchange_name
-        self._session = session
-        self._channel = None
-
-    @property
-    def channel(self):
-        if self._channel is None or not self._channel.is_open:
-            self._channel = self._session.connection.channel()
-            self._channel.exchange_declare(
-                self.exchange_name, type='fanout')
-        return self._channel
-
-
-class RabbitExchange(RabbitBase):
-
-    def publish(self, message):
-        msg = amqp.Message(message)
-        # Publish to a 'fanout' exchange: routing_key is ''.
-        self.channel.basic_publish(
-            exchange=self.exchange_name, routing_key='', msg=msg)
-
-
-class RabbitQueue(RabbitBase):
-
-    def __init__(self, session, exchange_name):
-        super(RabbitQueue, self).__init__(session, exchange_name)
-        self.queue_name = self.channel.queue_declare(
-            nowait=False, auto_delete=False,
-            arguments={"x-expires": 300000})[0]
-        self.channel.queue_bind(
-            exchange=self.exchange_name, queue=self.queue_name)
-
-    @property
-    def name(self):
-        return self.queue_name

=== removed file 'src/maasserver/testing/rabbit.py'
--- src/maasserver/testing/rabbit.py	2013-10-07 09:12:40 +0000
+++ src/maasserver/testing/rabbit.py	1970-01-01 00:00:00 +0000
@@ -1,70 +0,0 @@
-# Copyright 2012 Canonical Ltd.  This software is licensed under the
-# GNU Affero General Public License version 3 (see the file LICENSE).
-
-"""Helpers for testing with RabbitMQ."""
-
-from __future__ import (
-    absolute_import,
-    print_function,
-    unicode_literals,
-    )
-
-str = None
-
-__metaclass__ = type
-__all__ = [
-    "RabbitServerSettings",
-    "use_rabbit_fixture",
-    "uses_rabbit_fixture",
-    ]
-
-from functools import wraps
-
-from fixtures import Fixture
-from rabbitfixture.server import RabbitServer
-from testtools.monkey import MonkeyPatcher
-
-
-class RabbitServerSettings(Fixture):
-    """
-    This patches the active Django settings to point the application at the
-    ephemeral RabbitMQ server specified by the given configuration.
-    """
-
-    def __init__(self, config):
-        super(RabbitServerSettings, self).__init__()
-        self.config = config
-
-    def setUp(self):
-        super(RabbitServerSettings, self).setUp()
-        from django.conf import settings
-        patcher = MonkeyPatcher()
-        patcher.add_patch(
-            settings, "RABBITMQ_HOST",
-            "%s:%d" % (self.config.hostname, self.config.port))
-        patcher.add_patch(settings, "RABBITMQ_USERID", "guest")
-        patcher.add_patch(settings, "RABBITMQ_PASSWORD", "guest")
-        patcher.add_patch(settings, "RABBITMQ_VIRTUAL_HOST", "/")
-        patcher.add_patch(settings, "RABBITMQ_PUBLISH", True)
-        self.addCleanup(patcher.restore)
-        patcher.patch()
-
-
-def use_rabbit_fixture(test):
-    """Ensure that a :class:`RabbitServer` is started, and Django's setting
-    updated to point to it, and that Django's settings are returned to their
-    original values at the end.
-    """
-    test.rabbit = RabbitServer()
-    test.useFixture(test.rabbit)
-    settings = RabbitServerSettings(test.rabbit.config)
-    test.useFixture(settings)
-
-
-def uses_rabbit_fixture(func):
-    """Decorate a test function with `use_rabbit_fixture`."""
-    @wraps(func)
-    def wrapper(self):
-        use_rabbit_fixture(self)
-        return func(self)
-    return wrapper

=== removed file 'src/maasserver/testing/tests/test_rabbit.py'
--- src/maasserver/testing/tests/test_rabbit.py	2014-07-18 17:05:57 +0000
+++ src/maasserver/testing/tests/test_rabbit.py	1970-01-01 00:00:00 +0000
@@ -1,39 +0,0 @@
-# Copyright 2012-2014 Canonical Ltd.  This software is licensed under the
-# GNU Affero General Public License version 3 (see the file LICENSE).
-
-"""Tests for `maastesting.rabbit`."""
-
-from __future__ import (
-    absolute_import,
-    print_function,
-    unicode_literals,
-    )
-
-str = None
-
-__metaclass__ = type
-__all__ = []
-
-from django.conf import settings
-from maasserver.testing.rabbit import RabbitServerSettings
-from maastesting.factory import factory
-from maastesting.testcase import MAASTestCase
-from rabbitfixture.server import RabbitServerResources
-
-
-class TestRabbitServerSettings(MAASTestCase):
-
-    def test_patch(self):
-        config = RabbitServerResources(
-            hostname=factory.make_string(),
-            port=factory.pick_port(),
-            dist_port=factory.pick_port())
-        self.useFixture(config)
-        self.useFixture(RabbitServerSettings(config))
-        self.assertEqual(
-            "%s:%d" % (config.hostname, config.port),
-            settings.RABBITMQ_HOST)
-        self.assertEqual("guest", settings.RABBITMQ_PASSWORD)
-        self.assertEqual("guest", settings.RABBITMQ_USERID)
-        self.assertEqual("/", settings.RABBITMQ_VIRTUAL_HOST)
-        self.assertTrue(settings.RABBITMQ_PUBLISH)

=== removed file 'src/maasserver/tests/test_messages.py'
--- src/maasserver/tests/test_messages.py	2014-09-10 16:20:31 +0000
+++ src/maasserver/tests/test_messages.py	1970-01-01 00:00:00 +0000
@@ -1,175 +0,0 @@
-# Copyright 2012-2014 Canonical Ltd.  This software is licensed under the
-# GNU Affero General Public License version 3 (see the file LICENSE).
-
-"""Test maasserver messages."""
-
-from __future__ import (
-    absolute_import,
-    print_function,
-    unicode_literals,
-    )
-
-str = None
-
-__metaclass__ = type
-__all__ = []
-
-import json
-import socket
-
-from maasserver.exceptions import NoRabbit
-from maasserver.messages import (
-    MAASMessenger,
-    MESSENGER_EVENT,
-    MessengerBase,
-    )
-from maasserver.models import Node
-from maasserver.testing.factory import factory
-from maasserver.testing.testcase import MAASServerTestCase
-from maasserver.tests.models import MessagesTestModel
-from maastesting.djangotestcase import TestModelMixin
-
-
-class FakeProducer:
-    """A fake RabbitProducer that simply records published messages."""
-
-    def __init__(self):
-        self.messages = []
-
-    def publish(self, message):
-        self.messages.append(message)
-
-
-class TestMessenger(MessengerBase):
-
-    def create_msg(self, event_name, instance):
-        return [event_name, instance]
-
-
-class MessengerBaseTest(TestModelMixin, MAASServerTestCase):
-
-    app = 'maasserver.tests'
-
-    def test_update_obj_publishes_message_if_created(self):
-        producer = FakeProducer()
-        messenger = TestMessenger(MessagesTestModel, producer)
-        instance = factory.make_string()
-        messenger.update_obj(MessagesTestModel, instance, True)
-        self.assertEqual(
-            [[MESSENGER_EVENT.CREATED, instance]], producer.messages)
-
-    def test_update_obj_publishes_message_if_not_created(self):
-        producer = FakeProducer()
-        messenger = TestMessenger(MessagesTestModel, producer)
-        instance = factory.make_string()
-        messenger.update_obj(MessagesTestModel, instance, False)
-        self.assertEqual(
-            [[MESSENGER_EVENT.UPDATED, instance]], producer.messages)
-
-    def test_delete_obj_publishes_message(self):
-        producer = FakeProducer()
-        messenger = TestMessenger(MessagesTestModel, producer)
-        instance = factory.make_string()
-        messenger.delete_obj(MessagesTestModel, instance)
-        self.assertEqual(
-            [[MESSENGER_EVENT.DELETED, instance]], producer.messages)
-
-    def test_register_registers_update_signal(self):
-        producer = FakeProducer()
-        messenger = TestMessenger(MessagesTestModel, producer)
-        obj = MessagesTestModel(name=factory.make_string())
-        obj.save()
-        messenger.register()
-        obj.save()
-        self.assertEqual(
-            [[MESSENGER_EVENT.UPDATED, obj]], producer.messages)
-
-    def test_register_registers_created_signal(self):
-        producer = FakeProducer()
-        messenger = TestMessenger(MessagesTestModel, producer)
-        messenger.register()
-        obj = MessagesTestModel(name=factory.make_string())
-        obj.save()
-        self.assertEqual(
-            [[MESSENGER_EVENT.CREATED, obj]], producer.messages)
-
-    def test_register_registers_delete_signal(self):
-        obj = MessagesTestModel(name=factory.make_string())
-        obj.save()
-        producer = FakeProducer()
-        messenger = TestMessenger(MessagesTestModel, producer)
-        messenger.register()
-        obj.delete()
-        self.assertEqual(
-            [[MESSENGER_EVENT.DELETED, obj]], producer.messages)
-
-    def test_publish_message_publishes_message(self):
-        event = factory.make_string()
-        instance = {factory.make_string(): factory.make_string()}
-        messenger = TestMessenger(MessagesTestModel, FakeProducer())
-        messenger.publish_message(messenger.create_msg(event, instance))
-        self.assertEqual([[event, instance]], messenger.producer.messages)
-
-    def test_publish_message_swallows_missing_rabbit(self):
-        event = factory.make_string()
-        instance = {factory.make_string(): factory.make_string()}
-
-        def fail_for_lack_of_rabbit(*args, **kwargs):
-            raise NoRabbit("I'm pretending not to have a RabbitMQ.")
-
-        messenger = TestMessenger(MessagesTestModel, FakeProducer())
-        messenger.producer.publish = fail_for_lack_of_rabbit
-
-        messenger.publish_message(messenger.create_msg(event, instance))
-        self.assertEqual([], messenger.producer.messages)
-
-    def test_publish_message_propagates_exceptions(self):
-        event = factory.make_string()
-        instance = {factory.make_string(): factory.make_string()}
-
-        def fail_despite_having_a_rabbit(*args, **kwargs):
-            raise socket.error("I have a rabbit but I fail anyway.")
-
-        messenger = TestMessenger(MessagesTestModel, FakeProducer())
-        messenger.producer.publish = fail_despite_having_a_rabbit
-
-        self.assertRaises(
-            socket.error,
-            messenger.publish_message, messenger.create_msg(event, instance))
-        self.assertEqual([], messenger.producer.messages)
-
-
-class MAASMessengerTest(TestModelMixin, MAASServerTestCase):
-
-    app = 'maasserver.tests'
-
-    def test_event_key(self):
-        producer = FakeProducer()
-        event_name = factory.make_string()
-        obj = MessagesTestModel(name=factory.make_string())
-        messenger = MAASMessenger(MessagesTestModel, producer)
-        self.assertEqual(
-            '%s.%s' % ('MessagesTestModel', event_name),
-            messenger.event_key(event_name, obj))
-
-    def test_create_msg(self):
-        producer = FakeProducer()
-        messenger = MAASMessenger(Node, producer)
-        event_name = factory.make_string()
-        obj_name = factory.make_string()
-        obj = MessagesTestModel(name=obj_name)
-        obj.save()
-        msg = messenger.create_msg(event_name, obj)
-        decoded_msg = json.loads(msg)
-        self.assertItemsEqual(['instance', 'event_key'], list(decoded_msg))
-        self.assertItemsEqual(
-            ['id', 'name'], list(decoded_msg['instance']))
-        self.assertEqual(
-            obj_name, decoded_msg['instance']['name'])
-
-    def test_msg_containing_node_representation(self):
-        node = factory.make_Node()
-        messenger = MAASMessenger(Node, FakeProducer())
-        msg = messenger.create_msg(factory.make_string(), node)
-        decoded_msg = json.loads(msg)
-        self.assertItemsEqual(['instance', 'event_key'], list(decoded_msg))

=== removed file 'src/maasserver/tests/test_rabbit.py'
--- src/maasserver/tests/test_rabbit.py	2014-07-18 17:05:57 +0000
+++ src/maasserver/tests/test_rabbit.py	1970-01-01 00:00:00 +0000
@@ -1,187 +0,0 @@
-# Copyright 2012-2014 Canonical Ltd.  This software is licensed under the
-# GNU Affero General Public License version 3 (see the file LICENSE).
-
-"""Rabbit messaging tests."""
-
-from __future__ import (
-    absolute_import,
-    print_function,
-    unicode_literals,
-    )
-
-str = None
-
-__metaclass__ = type
-__all__ = []
-
-
-import socket
-import time
-
-from amqplib import client_0_8 as amqp
-from django.conf import settings
-from maasserver.exceptions import NoRabbit
-from maasserver.rabbit import (
-    RabbitBase,
-    RabbitExchange,
-    RabbitMessaging,
-    RabbitQueue,
-    RabbitSession,
-    )
-from maasserver.testing.factory import factory
-from maasserver.testing.rabbit import uses_rabbit_fixture
-from maastesting.testcase import MAASTestCase
-from testtools.testcase import ExpectedException
-
-
-def run_rabbit_command(rabbit, command):
-    """Run a Rabbit command through rabbitctl, and return its output."""
-    if isinstance(command, unicode):
-        command = command.encode('ascii')
-    rabbit_env = rabbit.runner.environment
-    return rabbit_env.rabbitctl(command)[0]
-
-
-class TestRabbitSession(MAASTestCase):
-
-    @uses_rabbit_fixture
-    def test_connection_gets_connection(self):
-        session = RabbitSession()
-        self.addCleanup(session.disconnect)
-        # Referencing the connection property causes a connection to be
-        # created.
-        connection = session.connection
-        self.assertIsNotNone(session._connection)
-        # The same connection is returned every time.
-        self.assertIs(connection, session.connection)
-
-    def test_connection_raises_NoRabbit_if_cannot_connect(self):
-        # Attempt to connect to a RabbitMQ on the local "discard"
-        # service.  The connection will be refused.
-        self.patch(settings, 'RABBITMQ_HOST', 'localhost:9')
-        session = RabbitSession()
-        with ExpectedException(NoRabbit):
-            session.connection
-
-    def test_connection_propagates_exceptions(self):
-
-        def fail(*args, **kwargs):
-            raise socket.error("Connection not refused, but failed anyway.")
-
-        self.patch(amqp, 'Connection', fail)
-        session = RabbitSession()
-        with ExpectedException(socket.error):
-            session.connection
-
-    def test_disconnect(self):
-        session = RabbitSession()
-        session.disconnect()
-        self.assertIsNone(session._connection)
-
-
-class TestRabbitMessaging(MAASTestCase):
-
-    @uses_rabbit_fixture
-    def test_messaging_getExchange(self):
-        exchange_name = factory.make_string()
-        messaging = RabbitMessaging(exchange_name)
-        self.addCleanup(messaging._session.disconnect)
-        exchange = messaging.getExchange()
-        self.assertIsInstance(exchange, RabbitExchange)
-        self.assertEqual(messaging._session, exchange._session)
-        self.assertEqual(exchange_name, exchange.exchange_name)
-
-    @uses_rabbit_fixture
-    def test_messaging_getQueue(self):
-        exchange_name = factory.make_string()
-        messaging = RabbitMessaging(exchange_name)
-        self.addCleanup(messaging._session.disconnect)
-        queue = messaging.getQueue()
-        self.assertIsInstance(queue, RabbitQueue)
-        self.assertEqual(messaging._session, queue._session)
-        self.assertEqual(exchange_name, queue.exchange_name)
-
-
-class TestRabbitBase(MAASTestCase):
-
-    def test_rabbitbase_contains_session(self):
-        exchange_name = factory.make_string()
-        rabbitbase = RabbitBase(RabbitSession(), exchange_name)
-        self.assertIsInstance(rabbitbase._session, RabbitSession)
-
-    def test_base_has_exchange_name(self):
-        exchange_name = factory.make_string()
-        rabbitbase = RabbitBase(RabbitSession(), exchange_name)
-        self.assertEqual(exchange_name, rabbitbase.exchange_name)
-
-    @uses_rabbit_fixture
-    def test_base_channel(self):
-        rabbitbase = RabbitBase(RabbitSession(), factory.make_string())
-        self.addCleanup(rabbitbase._session.disconnect)
-        # Referencing the channel property causes an open channel to be
-        # created.
-        channel = rabbitbase.channel
-        self.assertTrue(channel.is_open)
-        self.assertIsNotNone(rabbitbase._session._connection)
-        # The same channel is returned every time.
-        self.assertIs(channel, rabbitbase.channel)
-
-    @uses_rabbit_fixture
-    def test_base_channel_creates_exchange(self):
-        exchange_name = factory.make_string()
-        rabbitbase = RabbitBase(RabbitSession(), exchange_name)
-        self.addCleanup(rabbitbase._session.disconnect)
-        rabbitbase.channel
-        self.assertIn(
-            exchange_name,
-            run_rabbit_command(self.rabbit, 'list_exchanges'))
-
-
-class TestRabbitExchange(MAASTestCase):
-
-    def basic_get(self, channel, queue_name, timeout):
-        endtime = time.time() + timeout
-        while True:
-            message = channel.basic_get(queue_name)
-            if message is None:
-                if time.time() > endtime:
-                    self.fail('Cannot get message.')
-                time.sleep(0.1)
-            else:
-                return message
-
-    @uses_rabbit_fixture
-    def test_exchange_publish(self):
-        exchange_name = factory.make_string()
-        message_content = factory.make_string()
-        exchange = RabbitExchange(RabbitSession(), exchange_name)
-        self.addCleanup(exchange._session.disconnect)
-
-        rabbitbase = RabbitBase(RabbitSession(), exchange_name)
-        self.addCleanup(rabbitbase._session.disconnect)
-        channel = rabbitbase.channel
-        queue_name = channel.queue_declare(auto_delete=True)[0]
-        channel.queue_bind(exchange=exchange_name, queue=queue_name)
-        exchange.publish(message_content)
-        message = self.basic_get(channel, queue_name, timeout=2)
-        self.assertEqual(message_content, message.body)
-
-
-class TestRabbitQueue(MAASTestCase):
-
-    @uses_rabbit_fixture
-    def test_rabbit_queue_binds_queue(self):
-        exchange_name = factory.make_string()
-        message_content = factory.make_string()
-        queue = RabbitQueue(RabbitSession(), exchange_name)
-        self.addCleanup(queue._session.disconnect)
-
-        # Publish to queue.name.
-        base = RabbitBase(RabbitSession(), exchange_name)
-        self.addCleanup(base._session.disconnect)
-        channel = base.channel
-        msg = amqp.Message(message_content)
-        channel.basic_publish(
-            exchange=exchange_name, routing_key='', msg=msg)
-        message = channel.basic_get(queue.name)
-        self.assertEqual(message_content, message.body)

=== modified file 'src/maasserver/views/nodes.py'
--- src/maasserver/views/nodes.py	2014-09-24 10:23:40 +0000
+++ src/maasserver/views/nodes.py	2014-09-24 13:05:22 +0000
@@ -30,7 +30,6 @@
 from textwrap import dedent
 from urllib import urlencode
 
-from django.conf import settings as django_settings
 from django.contrib import messages
 from django.core.exceptions import PermissionDenied
 from django.core.urlresolvers import reverse
@@ -51,17 +50,13 @@
     ProcessFormView,
     )
 from lxml import etree
-from maasserver import logger
 from maasserver.clusterrpc.power_parameters import get_power_types
 from maasserver.enum import (
     NODE_BOOT,
     NODE_PERMISSION,
     NODE_STATUS,
     )
-from maasserver.exceptions import (
-    MAASAPIException,
-    NoRabbit,
-    )
+from maasserver.exceptions import MAASAPIException
 from maasserver.forms import (
     BulkNodeActionForm,
     get_action_form,
@@ -69,7 +64,6 @@
     MACAddressForm,
     SetZoneBulkAction,
     )
-from maasserver.messages import MESSAGING
 from maasserver.models import (
     MACAddress,
     Node,

